package main

import (
	"runtime"

	. "github.com/kettek/gobl"
)

func main() {
	var exe string
	if runtime.GOOS == "windows" {
		exe = ".exe"
	}

	runArgs := append([]interface{}{}, "./prog"+exe)

	Task("build").
		Exec("go", "build", "./cmd/prog")
	Task("run").
		Exec(runArgs...)
	Task("watch").
		Watch("cmd/prog/*", "sauce/*").
		Signaler(SigQuit).
		Run("build").
		Run("run")
	Go()
}
